#ifndef __creaImageIOImagePointerHolder_INCLUDED__
#define __creaImageIOImagePointerHolder_INCLUDED__

#include <creaImageIOSystem.h>
#include <vtkImageData.h>
#include <boost/thread/mutex.hpp>


namespace creaImageIO
{
	  // The class that holds the pointer to the images to show
		class ImagePointerHolder
		{
		public:
			ImagePointerHolder(vtkImageData* im):
		mImage(im)
		{}
		ImagePointerHolder();
		void Set(vtkImageData* im){boost::mutex::scoped_lock lock(mMutex);mImage=im;}
		vtkImageData* Get(){boost::mutex::scoped_lock lock(mMutex);return mImage;}
		private:
			vtkImageData* mImage;
			/// The mutex
			boost::mutex mMutex;
		};
}
#endif


