#ifndef __creaImageIOWxExportDlg_h_INCLUDED__
#define __creaImageIOWxExportDlg_h_INCLUDED__

#ifdef USE_WXWIDGETS
#include <creaWx.h>
#include <creaImageIOWxGimmickView.h>

#define ID_EXPORTCOMBO_CTRL 1801
#define ID_EXPORT_OK		1802

namespace creaImageIO{
	/**
   * \ingroup GUI
   */
  //=====================================================================
 //=====================================================================
 /// Gimmick can handle multiple database with different organisations.
 /// WxDescriptorPanel allows to select the storage to export data. 
 ///
	class WxExportDlg : public wxDialog
	{
	public:
		///CTor
		WxExportDlg(wxWindow *parent, const std::vector<std::string> storages);
		///DTor
		~WxExportDlg();

	/// Get selected storage
	const std::string& GetStorage(){ return m_name;}

	private:

		/// Storage ComboBox
		wxComboBox *ExportCombo;

		///Validate selected storage
		void OnOk(wxCommandEvent &event);

		/// Storage name
		std::string m_name;
	};
}
#endif // USE_WIDGETS
// EOF
#endif
