#include "creaImageIOSimpleView.h"
#include <creaWx.h>

namespace creaImageIO
{
 /**
   * \ingroup View
   */

	/// Simple Wxwidgets interface to select file(s) or directory or from creaImageIO database to display
	class CREAIMAGEIO_EXPORT WxSimpleDlg : public wxDialog
	{
	public:
		 /// Ctor
		  WxSimpleDlg( wxWindow *parent,  wxString i_title =_T(""));
		  ///Dtor
		  ~WxSimpleDlg(){};

		  /// Callback to read file(s)
		  void OnReadFile(wxCommandEvent& event);

		  /// Callback to read directory, no recursive
		   void OnReadDirectory(wxCommandEvent &event);
	      
		  /// Callback to select from creaImageIO database
		   void OnReadGimmick(wxCommandEvent &event);

		   /// return a vtkImageData vector of selected images, if available
		   std::vector<vtkImageData*> getImagesSelected();

	private:

		/// interface to read data
		SimpleView m_view;

		/// vtkImageData vector
		std::vector<vtkImageData*> m_results;
	};
}
